org.apache.sysds.runtime.instructions.spark.functions

## Class ConvertMatrixBlockToIJVLines

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.ConvertMatrixBlockToIJVLines

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,String>

    public class ConvertMatrixBlockToIJVLines
    extends Object
    implements org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConvertMatrixBlockToIJVLines(int blen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<String>` `call(scala.Tuple2<MatrixIndexes,MatrixBlock> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertMatrixBlockToIJVLines

    public ConvertMatrixBlockToIJVLines(int blen)

### Method Detail

#### call

    public Iterator<String> call(scala.Tuple2<MatrixIndexes,MatrixBlock> kv)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,String>`